Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotDateTime

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<T>
          org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl<DateTime>
              org.eclipse.swtbot.swt.finder.widgets.SWTBotDateTime

    public class SWTBotDateTime

extends AbstractSWTBotControl<DateTime>

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotDateTime(DateTime w)` Constructs an instance of this object with the given widget.
`SWTBotDateTime(DateTime w, SelfDescribing description)` Constructs an instance of this object with the given widget.

Method Summary
`Date` | `getDate()` Gets the date of this widget.
`void` | `setDate(Date toSet)` Sets the date.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl
`absoluteLocation, click, moveMouseToWidget, rightClick`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`assertEnabled, asyncExec, backgroundColor, click, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotDateTime

    public SWTBotDateTime(DateTime w)
                   throws WidgetNotFoundException

  Constructs an instance of this object with the given widget.

  Parameters:
    `w` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.
  Since:
    2.0

### SWTBotDateTime

    public SWTBotDateTime(DateTime w,
                          SelfDescribing description)
                   throws WidgetNotFoundException

  Constructs an instance of this object with the given widget.

  Parameters:
    `w` - the widget.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.
  Since:
    2.0

Method Detail

### getDate

    public Date getDate()

  Gets the date of this widget.

  Returns:
    the date/time set into the widget.

### setDate

    public void setDate(Date toSet)

  Sets the date.

  Parameters:
    `toSet` - the date to set into the control.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD